Skip to main content
GET
/
time-off
Get time off requests
curl --request GET \
  --url https://api.readmin.app/time-off \
  --header 'loader-id: <api-key>'
{
  "success": true,
  "requests": [
    {
      "groupId": "<string>",
      "userId": "<string>",
      "reason": "<string>",
      "starts": "2023-11-07T05:31:56Z",
      "ends": "2023-11-07T05:31:56Z",
      "created": "2023-11-07T05:31:56Z",
      "_id": "<string>",
      "teamId": "<string>",
      "reviewedBy": "<string>",
      "reviewNote": "<string>",
      "reviewedAt": "2023-11-07T05:31:56Z",
      "approvalChain": [
        {
          "index": 123,
          "label": "<string>",
          "type": "<string>",
          "approverIds": [
            "<string>"
          ],
          "decidedBy": "<string>",
          "decidedAt": "2023-11-07T05:31:56Z",
          "note": "<string>"
        }
      ],
      "currentStepIndex": 123,
      "currentApproverIds": [
        "<string>"
      ]
    }
  ]
}

Authorizations

loader-id
string
header
required

Query Parameters

status
string

Filter by status

userId
string

Filter to a single staff member (Roblox id)

Response

Successful operation

success
boolean
requests
object[]